import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RlDatepickerPopupDirective } from './src/datepicker-popup.directive';
import { RlDatePickerInputComponent } from './src/datepicker-input.component';
import { RlDatePickerPopupComponent } from './src/datepicker-popup.component';
import { FormsModule } from '@angular/forms';
import { DatepickerModule } from 'ngx-bootstrap';
import 'rxjs/Rx';
export * from './src/datepicker-popup.directive';
export * from './src/datepicker-popup.component';
export * from './src/datepicker-input.component';
var RlDatePickerPopup = (function () {
    var RlDatePickerPopup = RlDatePickerPopup_1 = function RlDatePickerPopup() {
    };
    RlDatePickerPopup.forRoot = function () {
        return {
            ngModule: RlDatePickerPopup_1
        };
    };
    RlDatePickerPopup = RlDatePickerPopup_1 = __decorate([
        NgModule({
            imports: [
                CommonModule,
                FormsModule,
                DatepickerModule.forRoot()
            ],
            declarations: [
                RlDatePickerInputComponent,
                RlDatePickerPopupComponent,
                RlDatepickerPopupDirective,
            ],
            exports: [
                RlDatePickerInputComponent,
                RlDatePickerPopupComponent,
                RlDatepickerPopupDirective,
            ]
        })
    ], RlDatePickerPopup);
    return RlDatePickerPopup;
    var RlDatePickerPopup_1;
}());
export { RlDatePickerPopup };
//# sourceMappingURL=index.js.map